Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.
Vaše pomoc je stále potřeba!

Novinky: Školení nejen k OS Ubuntu pro širokou veřejnost, více informací zde.

Autor Téma: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs  (Přečteno 48553 krát)

Kedrigern

  • Stálý člen
  • ***
  • Příspěvků: 919
  • Karma: +127/-18
    • Zobrazit profil
    • Má osobní stránka
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #50 kdy: 11 Listopad 2009, 23:21:25 »
Nestačí, Totem chodil příšerně. Ale těžko to posoudím u programů, kde by měla být jen minimální (ale samozřejmě vítaná) změna (gnome-panel).

Jo a taky si nejsem jistej a chtěl bych přesněji slyšet, pokud mám dvoujádrový Intel, tak je Core2 fungují, nebo správná volba? Jestli by to nešlo ještě nějak vylepšit (příkaz, který by našel kompatibilní typ procesoru přímo zapsatelný do /etc/apt/apt-build.conf? No kdyby takový příkaz byl, tak by to asi dělal apt-build sám, že?).

Nicméně právě jsem dokompiloval Gimp a taky se mi zdá rychlejší (spouštění tak o 40%).

Mimochodem mám všechny zdrojové repozitáře ke svým binárním, avšak zdrojáky mplayeru nenachází... (nejsem si jist, jestli chci házet verzi přímo z SVN, raději bych měl nějaký stable repozitář).

Roman Vacho

  • Člen placené komunitní podpory
  • Moderátor
  • Guru
  • *****
  • Příspěvků: 5588
  • Karma: +218/-47
  • Jeden vykope studnu, tisíce z ní pijí tisíc let.
    • Zobrazit profil
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #51 kdy: 11 Listopad 2009, 23:30:31 »
Ad rychlejší spouštení Gimpu... není to už přednačtené v ram?
Nezkompilovaný se mi poprvé spouštěl asi 10-12 vteřin. Potom už byl jeho věci v ram, tak se spustil znovu za 2 s. Zkusím ho zkompilovat.
« Poslední změna: 11 Listopad 2009, 23:33:05 od Rovano »
Vyřešená vlákna je vhodné uzavřít dodáním znaků "[vyřešeno]" do názvu téma v editaci prvního příspěvku.

NoWin

  • Host
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #52 kdy: 11 Listopad 2009, 23:39:10 »
Iljušin:
Jo, na to jsem upozorňoval, že se musej stáhnout dodatečný balíky pro kompilaci. Většinou se jedná o balíky blablabla-dev- ty si pak můžeš po kompilaci odstranit třeba v Synapticu. Dále se na disku plní místo při kompilaci, balíky se zdrojákama se musej stáhnout, rozbalit, zkompilovat a vytvořit se z nich binární balík- tohle můžeš vyřešit pomocí příkazů:
Kód: [Vybrat]
apt-build clean-sources     - Clean up all object files in source directories
apt-build clean-build       - Erase downloaded packages and temporary build files
Dále můžeš použít na vyčištění disku BleachBit, napíšu Andrewovi, aby vytvořil čistič i pro apt-build


Aloisam:
Firefox (na Debianu Iceweasel), Iceape, Epiphany, Chromium... jasně že můžeš, akorát asi Opera nepůjde, prohlížeč musí mít k dispozici zdrojáky.


Rovano:
U her záleží i na jiných věcech než na hře samotný. Když vykresluje přes SDL, je dobrý zkompilovat SDL a jeho knihovny. Bylo by dobrý zkompilovat si i ovladače na grafiku, ale když každej (včetně mně) používá proprietární ovladače...

O SSE3 nic nevím, můj procesor jej taky umí. Akorát jsem v server flags našel SSSE3 (jestli to je to samý...)


Kedrigern:
To jsi zkompiloval jen samotnej Totem, nebo i jeho backend(y), tzn. GStreamer / Xine?

Kedrigern

  • Stálý člen
  • ***
  • Příspěvků: 919
  • Karma: +127/-18
    • Zobrazit profil
    • Má osobní stránka
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #53 kdy: 11 Listopad 2009, 23:47:23 »
Ad rychlejší spouštení Gimpu... není to už přednačtené v ram?
Nezkompilovaný se mi poprvé spouštěl asi 10-12 vteřin. Potom už byl jeho věci v ram, tak se spustil znovu za 2 s. Zkusím ho zkompilovat.

Ne, to ne.

Kedrigern:
To jsi zkompiloval jen samotnej Totem, nebo i jeho backend(y), tzn. GStreamer / Xine?

Zadal jsem apt-build install --reinstall totem - nic víc.


Jinak právě jsem dokompiloval Firefox a jsou tu dva problémy:
1) Firefoxe z repů to nevyhodí (mám teď dva) - stejně jako když jedete experimentální větev z Ubuntu Tweak
2) Sice mi to nakonci napsalo:
Kód: [Vybrat]
Připravuji nahrazení firefox 3.5.4+nobinonly-0ubuntu0.9.10.1 (pomocí .../firefox_3.5.5+nobinonly-0ubuntu0.9.10.1_all.deb) ...
Rozbaluji náhradu firefox ...
Nastavuji balík firefox (3.5.5+nobinonly-0ubuntu0.9.10.1) ...

Nicméně pokud zapnu firefox-3.5, tak je to 3.5.4 a ne 3.5.5 :(.

tlamic

  • Člen
  • **
  • Příspěvků: 175
  • Karma: +6/-2
    • Zobrazit profil
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #54 kdy: 11 Listopad 2009, 23:49:09 »
Zdravím, mohl by někdo jsem zkopírovat jeho sources.list pro Jaunty? Dík Honza

NoWin

  • Host
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #55 kdy: 11 Listopad 2009, 23:52:15 »
Zdravím, mohl by někdo jsem zkopírovat jeho sources.list pro Jaunty? Dík Honza
http://www.google.com/search?q=jaunty+sources.list?

tlamic

  • Člen
  • **
  • Příspěvků: 175
  • Karma: +6/-2
    • Zobrazit profil
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #56 kdy: 11 Listopad 2009, 23:58:12 »
Díky moc. Honza

NoWin

  • Host
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #57 kdy: 12 Listopad 2009, 00:14:24 »
Jo hele, zkoušel to někdo z vás u PulseAudio? Možná by to mohlo vyřešit nějaký problémy s ním, třeba to lupání aj. ;)

Kedrigern

  • Stálý člen
  • ***
  • Příspěvků: 919
  • Karma: +127/-18
    • Zobrazit profil
    • Má osobní stránka
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #58 kdy: 12 Listopad 2009, 00:23:20 »
Jo hele, zkoušel to někdo z vás u PulseAudio? Možná by to mohlo vyřešit nějaký problémy s ním, třeba to lupání aj. ;)

To zní odvážně, tak jsem právě aktualizoval Firefox na 3.5.5 přes apt-get, mohl by někdo zkompilovat a říct, jestli se setkal s problémem jako já? (Stále stejná verze, popsán asi o 3 příspěvky výš)

NoWin

  • Host
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #59 kdy: 12 Listopad 2009, 00:28:48 »
Jo hele, zkoušel to někdo z vás u PulseAudio? Možná by to mohlo vyřešit nějaký problémy s ním, třeba to lupání aj. ;)

To zní odvážně, tak jsem právě aktualizoval Firefox na 3.5.5 přes apt-get, mohl by někdo zkompilovat a říct, jestli se setkal s problémem jako já? (Stále stejná verze, popsán asi o 3 příspěvky výš)
To bohužel nemůžu, k dispozici mám jako nejnovější verzi 3.5.4

Roman Vacho

  • Člen placené komunitní podpory
  • Moderátor
  • Guru
  • *****
  • Příspěvků: 5588
  • Karma: +218/-47
  • Jeden vykope studnu, tisíce z ní pijí tisíc let.
    • Zobrazit profil
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #60 kdy: 12 Listopad 2009, 03:11:32 »
O tom sources sources je mi jasné, že mi to napíše, pokud bych chtěl kompitovat třeba g++ nebo make :)
Ale proč mi to píše u Firefoxu nevím. Každopádně mám asi něco jinak. Užívám FF 3.5.6 a 3.6b3pre.

Úspěšně jsem zkompiloval Compiz. Ale nemám ho otestovaný.
Zítra zkusím ovladače na grafiku, sdl* a pulseaudio+testy výkonosti pokud se mi podaří získat místo na oddíle :D
Co přesně dělá příkaz upgrade? Prostě veme novější zdrojáky a rekompiluje? Teď jsem ho spustil a objevilo se něco s xorgem, kerej sem nerekompiloval a maká to a maká....sakra to vypadá jak kdyby to předělávalo celý Ubuntu :D Do háje.... ty výpisy nechápu. Činí to věci, který by podle mě neměli souviset s tím, co jsem v tom dělal.  Vždycky to jak kdyby veme jednu věci, něco to dělá, potom to jakože ukončí, reskenuje repa a veme další věc.No stejně to skončí na nedostatku místa.
« Poslední změna: 12 Listopad 2009, 03:25:28 od Rovano »
Vyřešená vlákna je vhodné uzavřít dodáním znaků "[vyřešeno]" do názvu téma v editaci prvního příspěvku.

GdH

  • Moderátor
  • Závislák
  • *****
  • Příspěvků: 3010
  • Karma: +480/-17
    • Zobrazit profil
    • GdH-Notes
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #61 kdy: 12 Listopad 2009, 07:46:13 »
Co přesně dělá příkaz upgrade? Prostě veme novější zdrojáky a rekompiluje? Teď jsem ho spustil a objevilo se něco s xorgem, kerej sem nerekompiloval a maká to a maká....sakra to vypadá jak kdyby to předělávalo celý Ubuntu :D Do háje.... ty výpisy nechápu. Činí to věci, který by podle mě neměli souviset s tím, co jsem v tom dělal.  Vždycky to jak kdyby veme jednu věci, něco to dělá, potom to jakože ukončí, reskenuje repa a veme další věc.No stejně to skončí na nedostatku místa.

Příkaz apt-build upgrade dělá to samé jako apt-get upgrade, ale ze zdrojáků. Je úplně jedno, co jsi předtím kompiloval, nebo nekompiloval.

Meharts

  • Návštěvník
  • *
  • Příspěvků: 52
  • Karma: +7/-0
    • Zobrazit profil
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #62 kdy: 12 Listopad 2009, 08:39:11 »
Ahoj nedaří se mi téměř nic zkompilovat první věc co jsem zkompiloval bylo audacity to proběhlo v pořádku a tak natěšený jsem si chtěl udělat totem, gnome commander, avidemux ale ani jedno se mi nedaří všechny končí
Kód: [Vybrat]
Error while building "to co chci kompilovat"
Sorry, no package to install.
viz třeba avidemux
Kód: [Vybrat]
-----> Installing build dependencies (for avidemux) <-----
\u010ctu seznamy balík\u016f... Hotovo
Vytvá\u0159ím strom závislostí       
\u010ctu stavové informace... Hotovo
0 aktualizováno, 0 nov\u011b instalováno, 0 k odstran\u011bní a 1 neaktualizováno.
-----> Updating package lists <-----
Ign file: apt-build Release.gpg
Ign file: apt-build/main Translation-cs                                       
Mám:1 file: apt-build Release [90B]                                           
Ign file: apt-build/main Packages                                             
Ign file: apt-build/main Packages                                             
Mám:2 http://dl.google.com stable Release.gpg [191B]                           
Ign http://dl.google.com stable/main Translation-cs                           
Cíl http://archive.canonical.com karmic Release.gpg                           
Ign http://archive.canonical.com karmic/partner Translation-cs                 
Cíl http://packages.medibuntu.org karmic Release.gpg                           
Ign http://packages.medibuntu.org karmic/free Translation-cs                   
Ign http://packages.medibuntu.org karmic/non-free Translation-cs               
Ign http://dl.google.com stable/non-free Translation-cs                       
Cíl http://archive.ubuntu.com karmic Release.gpg                               
Cíl http://archive.ubuntu.com karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Cíl http://archive.canonical.com karmic Release                               
Mám:3 http://dl.google.com stable Release [1 310B]                             
Cíl http://packages.medibuntu.org karmic Release                               
Cíl http://archive.ubuntu.com karmic/restricted Translation-cs                 
Cíl http://archive.ubuntu.com karmic/universe Translation-cs                   
Cíl http://archive.ubuntu.com karmic/multiverse Translation-cs                 
Cíl http://archive.ubuntu.com karmic-updates Release.gpg                       
Ign http://archive.ubuntu.com karmic-updates/main Translation-cs               
Ign http://archive.ubuntu.com karmic-updates/restricted Translation-cs         
Ign http://archive.ubuntu.com karmic-updates/universe Translation-cs           
Ign http://archive.ubuntu.com karmic-updates/multiverse Translation-cs         
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://archive.ubuntu.com karmic-security Release.gpg                     
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Cíl http://archive.canonical.com karmic/partner Packages                       
Cíl http://packages.medibuntu.org karmic/free Packages                         
Cíl http://repo.palatinus.cz  Release.gpg                                     
Ign http://archive.ubuntu.com karmic-security/main Translation-cs             
Ign http://repo.palatinus.cz  Translation-cs                                   
Ign http://archive.ubuntu.com karmic-security/restricted Translation-cs       
Ign http://archive.ubuntu.com karmic-security/universe Translation-cs         
Ign http://archive.ubuntu.com karmic-security/multiverse Translation-cs       
Ign http://linux.getdropbox.com karmic Release.gpg                             
Ign http://linux.getdropbox.com karmic/main Translation-cs                     
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://archive.canonical.com karmic/partner Sources                       
Cíl http://packages.medibuntu.org karmic/non-free Packages                     
Cíl http://archive.ubuntu.com karmic Release                                   
Cíl http://archive.ubuntu.com karmic-updates Release                           
Mám:4 http://dl.google.com stable/main Packages [624B]                         
Cíl http://archive.ubuntu.com karmic-security Release                         
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://archive.ubuntu.com karmic/main Packages                             
Cíl http://archive.ubuntu.com karmic/restricted Packages                       
Cíl http://repo.palatinus.cz  Release                                         
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://archive.ubuntu.com karmic/main Sources                             
Cíl http://archive.ubuntu.com karmic/restricted Sources                       
Cíl http://archive.ubuntu.com karmic/universe Packages                         
Cíl http://archive.ubuntu.com karmic/universe Sources                         
Ign http://linux.getdropbox.com karmic Release                                 
Cíl http://archive.ubuntu.com karmic/multiverse Packages                       
Cíl http://archive.ubuntu.com karmic/multiverse Sources                       
Cíl http://archive.ubuntu.com karmic-updates/main Packages                     
Cíl http://archive.ubuntu.com karmic-updates/restricted Packages               
Mám:5 http://dl.google.com stable/non-free Packages [966B]                     
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Sources                               
Cíl http://archive.ubuntu.com karmic-updates/main Sources                     
Cíl http://archive.ubuntu.com karmic-updates/restricted Sources               
Cíl http://archive.ubuntu.com karmic-updates/universe Packages                 
Cíl http://archive.ubuntu.com karmic-updates/universe Sources                 
Cíl http://archive.ubuntu.com karmic-updates/multiverse Packages               
Cíl http://archive.ubuntu.com karmic-updates/multiverse Sources               
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                       
Cíl http://ppa.launchpad.net karmic/main Packages                       
Cíl http://ppa.launchpad.net karmic/main Packages                       
Ign http://repo.palatinus.cz  Packages                                 
Ign http://linux.getdropbox.com karmic/main Packages                   
Cíl http://archive.ubuntu.com karmic-security/main Packages             
Cíl http://archive.ubuntu.com karmic-security/restricted Packages             
Cíl http://archive.ubuntu.com karmic-security/main Sources                     
Cíl http://archive.ubuntu.com karmic-security/restricted Sources               
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                       
Cíl http://archive.ubuntu.com karmic-security/universe Packages         
Cíl http://archive.ubuntu.com karmic-security/universe Sources                 
Cíl http://archive.ubuntu.com karmic-security/multiverse Packages             
Cíl http://archive.ubuntu.com karmic-security/multiverse Sources               
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                       
Ign http://repo.palatinus.cz  Packages           
Ign http://linux.getdropbox.com karmic/main Packages
Cíl http://repo.palatinus.cz  Packages
Cíl http://linux.getdropbox.com karmic/main Packages
Sta\u017eeno 3 091B za 1s (2 258B/s)
\u010ctu seznamy balík\u016f... Hotovo
-----> Downloading source avidemux (1:2.5.1+repack-0ubuntu2) <-----
\u010ctu seznamy balík\u016f... Hotovo
Vytvá\u0159ím strom závislostí       
\u010ctu stavové informace... Hotovo
Pot\u0159ebuji stáhnout 13,0MB zdrojových archiv\u016f.
Mám:1 http://archive.ubuntu.com karmic/multiverse avidemux 1:2.5.1+repack-0ubuntu2 (dsc) [1 493B]
Mám:2 http://archive.ubuntu.com karmic/multiverse avidemux 1:2.5.1+repack-0ubuntu2 (tar) [12,9MB]
Mám:3 http://archive.ubuntu.com karmic/multiverse avidemux 1:2.5.1+repack-0ubuntu2 (diff) [13,5kB]       
Sta\u017eeno 13,0MB za 29s (438kB/s)                                                                           
gpgv: Podpis vytvo\u0159en Út 13. \u0159íjen 2009, 20:05:46 CEST pomocí klí\u010de DSA s ID u\u017eivatele DCFC3FD0
gpgv: Nemohu ov\u011b\u0159it podpis: ve\u0159ejný klí\u010d nenalezen
dpkg-source: warning: failed to verify signature on ./avidemux_2.5.1+repack-0ubuntu2.dsc
dpkg-source: info: extracting avidemux in avidemux-2.5.1+repack
dpkg-source: info: unpacking avidemux_2.5.1+repack.orig.tar.gz
dpkg-source: info: applying avidemux_2.5.1+repack-0ubuntu2.diff.gz
-----> Building avidemux <-----
dpkg-buildpackage: set CFLAGS to default value: -g -O2
dpkg-buildpackage: set CPPFLAGS to default value:
dpkg-buildpackage: set LDFLAGS to default value: -Wl,-Bsymbolic-functions
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
dpkg-buildpackage: source package avidemux
dpkg-buildpackage: source version 1:2.5.1+repack-0ubuntu2
dpkg-buildpackage: source changed by root <root@Boban>
dpkg-buildpackage: host architecture amd64
 debian/rules clean
QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null pop -a -R || test $? = 2
No patch removed
rm -rf .pc debian/stamp-patched
dh_testdir
dh_testroot
rm -f build-stamp configure-stamp
rm -rf build plugins/build
rm -rf CMakeFiles
rm -rf avidemux/ADM_libraries/ffmpeg
dh_clean client_state.xml
 debian/rules build
QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null push -a || test $? = 2
Applying patch 01-build_vorbis_decoder.diff
patching file plugins/ADM_audioDecoders/ADM_ad_vorbis/CMakeLists.txt
patching file cmake/admCheckVorbisDec.cmake

Now at patch 01-build_vorbis_decoder.diff
touch debian/stamp-patched
dh_testdir
mkdir -p build/avidemux/ADM_libraries
cp avidemux/ADM_libraries/ffmpeg_r19575.tar.gz build/avidemux/ADM_libraries
cp avidemux/ADM_libraries/libswscale_r29474.tar.gz build/avidemux/ADM_libraries
cd build && cmake .. \
-DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_SKIP_RPATH:BOOL=YES
#####################################
Configure Started
#####################################

-- Source dir is /var/cache/apt-build/build/avidemux-2.5.1+repack

-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/lib/apt-build/gcc
-- Check for working C compiler: /usr/lib/apt-build/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/lib/apt-build/c++
-- Check for working CXX compiler: /usr/lib/apt-build/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done

-- Checking GCC support
-- ********************
-- Check if GCC is Unix - Yes
-- Check if GCC is x86 64-bit - Yes
-- Check if GCC is MMX2 capable - Yes
-- Check if GCC is SSSE3 capable - Yes
-- Check if the system is big endian
-- Searching 16 bit integer
-- Looking for sys/types.h
-- Looking for sys/types.h - not found
-- Looking for stdint.h
-- Looking for stdint.h - found
-- Looking for stddef.h
-- Looking for stddef.h - not found
-- Check size of unsigned short
-- Check size of unsigned short - done
-- Using unsigned short
-- Check if the system is big endian - little endian

-- Checking for SCM Revision
-- *************************
-- Dont know what SCM is used
--   revision: 0

-- Checking for pkg-config
-- ***********************
-- Found pkg-config

-- Checking for Libxml2
-- ********************
-- checking for module 'libxml-2.0'
--   found libxml-2.0, version 2.7.5
-- Found Libxml2

-- Checking for pthreads
-- *********************
-- Found pthreads

-- Checking for zlib
-- *****************
-- Found ZLIB: /usr/lib/libz.so
-- Found zlib

-- Checking for GTK+
-- *****************
-- checking for module 'gtk+-2.0'
--   found gtk+-2.0, version 2.18.3
-- Found GTK+
-- GTK+ doesn't use X11

-- Checking for GThread
-- ********************
-- checking for module 'gthread-2.0'
--   found gthread-2.0, version 2.22.2
-- Found GThread

-- Checking for Qt 4
-- *****************
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - not found.
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.5.2
-- Found Qt 4

-- Checking for gettext
-- ********************
-- Found libintl.h
-- Cound not find intl library
Could not find Gettext
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
GETTEXT_LIBRARY_DIR
    linked by target "cmTryCompileExec" in directory /var/cache/apt-build/build/avidemux-2.5.1+repack/build/CMakeFiles/CMakeTmp

CMake Error: Internal CMake error, TryCompile configure of cmake failed
gettext support failed with or without libintl

-- Checking for SDL
-- ****************
-- Found SDL

-- Checking for XVideo
-- *******************
-- Found X11/extensions/Xvlib.h
-- Found Xv library
-- Found XvShmPutImage in /usr/lib/libXv.so
-- Found XVideo

-- Checking for SpiderMonkey
-- *************************
Skipping check and using bundled version.

-- Checking system headers
-- ***********************
-- Looking for gettimeofday
-- Looking for gettimeofday - found
-- Looking for include files HAVE_INTTYPES_H
-- Looking for include files HAVE_INTTYPES_H - found
-- Looking for include files HAVE_MALLOC_H
-- Looking for include files HAVE_MALLOC_H - not found.

-- ADM_coreConfig.h generated
-- CLI config.h generated
-- GTK config.h generated
-- Qt4 config.h generated

-- Checking for tar
-- ****************
-- Found tar


-- Checking for patch
-- ******************
-- Found patch

patching file libavformat/flvenc.c
patching file libavcodec/avcodec.h
patching file libavcodec/utils.c
patching file libavcodec/ffv1.c
patching file libavutil/mem.c
patching file libavcodec/h264.c
patching file libavformat/movenc.c
patching file libavformat/matroskaenc.c
patching file libavcodec/h263dec.c
patching file libavformat/isom.c
patching file libavutil/internal.h
patching file libavcodec/mpegvideo.c
patching file libavutil/avutil.h
patching file libavcodec/mpegvideo_enc.c
patching file libavcodec/mpeg12.c
patching file libavcodec/mpeg12enc.c
patching file libavformat/file.c
patching file common.mak
Hunk #1 succeeded at 64 (offset 2 lines).

-- Configuring FFmpeg
patching file config.mak
Hunk #1 succeeded at 66 with fuzz 2 (offset 6 lines).

*********************
***    SUMMARY    ***
*********************
   GTK+        Yes
   Qt 4        Yes
*** Miscellaneous ***
   gettext     No
   SDL         Yes
   XVideo      Yes
*********************
*** Release Build ***
*********************

-- Configuring incomplete, errors occurred!
make: *** [configure-stamp] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
----> Cleaning up object files <-----
Cleaning in directory .
QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null pop -a -R || test $? = 2
Removing patch 01-build_vorbis_decoder.diff
Removing cmake/admCheckVorbisDec.cmake
Restoring plugins/ADM_audioDecoders/ADM_ad_vorbis/CMakeLists.txt

No patches applied
rm -rf .pc debian/stamp-patched
dh_testdir
dh_testroot
rm -f build-stamp configure-stamp
rm -rf build plugins/build
rm -rf CMakeFiles
rm -rf avidemux/ADM_libraries/ffmpeg
dh_clean client_state.xml
Error while building avidemux!
Sorry, no package to install.

postupoval jsem podle návodu do typ architektury jsem dal core2 i když mám quada ale v seznamu a dále na postnuté stránce s typy CPU quad nebyl ale  usoudil jsem, že core2 je vhodny i pro můj Q6600 intel.

Pokud by někoho napadlo proč to nejde byl bych vděčen tento nástroj se mi líbí.
Není důležité všechno vědět, ale je důležité vědět kde to všechno najdu

Krysař

  • Závislák
  • ****
  • Příspěvků: 1251
  • Karma: +98/-4
    • Zobrazit profil
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #63 kdy: 12 Listopad 2009, 10:00:18 »
...tak jsem právě aktualizoval Firefox na 3.5.5 přes apt-get, mohl by někdo zkompilovat a říct, jestli se setkal s problémem jako já? (Stále stejná verze, popsán asi o 3 příspěvky výš)
firefox zkompilovany diky apt-build upgrade a jede v pohode 3.5.5
„Nepropadejte naději, jste z nejhoršího vevnitř.“

Krysař

  • Závislák
  • ****
  • Příspěvků: 1251
  • Karma: +98/-4
    • Zobrazit profil
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #64 kdy: 12 Listopad 2009, 10:27:26 »
Jo hele, zkoušel to někdo z vás u PulseAudio? Možná by to mohlo vyřešit nějaký problémy s ním, třeba to lupání aj. ;)
vyzkouseno, lupani to neodstrani  :(

Ale co me velmi prijemne prekvapilo, je rychlost zkompilovane Evince. Kdo casto zobrazuje *.pdf, tak rozhodne doporucuji - i na core 2 duo (2.2GHz) je zrychleni velmi vyrazne.
« Poslední změna: 12 Listopad 2009, 10:39:47 od Krysař »
„Nepropadejte naději, jste z nejhoršího vevnitř.“

Meharts

  • Návštěvník
  • *
  • Příspěvků: 52
  • Karma: +7/-0
    • Zobrazit profil
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #65 kdy: 12 Listopad 2009, 11:05:14 »
Tak po různém zkoušení jsem zjistil, že  pokud použiji options "--nowrapper" tak vše proběhne jak má a program se nainstaluje a tak  když se kouknu do options
Kód: [Vybrat]
--nowrapper       - Do not use gcc/g++ wrappermoje gcc
Kód: [Vybrat]
meharts@Boban:~$ gcc --version
gcc (Ubuntu 4.4.1-4ubuntu8) 4.4.1
Copyright (C) 2009 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
Když bych používal options "--nowrapper" na kompilaci programů nebudu nosit dříví do lesa ? Bude se to kompilovat odladěné pro můj HW, nebo tato možnost pouze nainstaluje aplikaci bez optimalizace? Hledal jsem ale nejak jako neanglictinář jsem to nezjistil.
děkuji za odpověď
Není důležité všechno vědět, ale je důležité vědět kde to všechno najdu

NoWin

  • Host
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #66 kdy: 12 Listopad 2009, 12:17:45 »
Ahoj nedaří se mi téměř nic zkompilovat první věc co jsem zkompiloval bylo audacity to proběhlo v pořádku a tak natěšený jsem si chtěl udělat totem, gnome commander, avidemux ale ani jedno se mi nedaří všechny končí
Kód: [Vybrat]
Error while building "to co chci kompilovat"
Sorry, no package to install.
viz třeba avidemux
Kód: [Vybrat]
-----> Installing build dependencies (for avidemux) <-----
\u010ctu seznamy balík\u016f... Hotovo
Vytvá\u0159ím strom závislostí       
\u010ctu stavové informace... Hotovo
0 aktualizováno, 0 nov\u011b instalováno, 0 k odstran\u011bní a 1 neaktualizováno.
-----> Updating package lists <-----
Ign file: apt-build Release.gpg
Ign file: apt-build/main Translation-cs                                       
Mám:1 file: apt-build Release [90B]                                           
Ign file: apt-build/main Packages                                             
Ign file: apt-build/main Packages                                             
Mám:2 http://dl.google.com stable Release.gpg [191B]                           
Ign http://dl.google.com stable/main Translation-cs                           
Cíl http://archive.canonical.com karmic Release.gpg                           
Ign http://archive.canonical.com karmic/partner Translation-cs                 
Cíl http://packages.medibuntu.org karmic Release.gpg                           
Ign http://packages.medibuntu.org karmic/free Translation-cs                   
Ign http://packages.medibuntu.org karmic/non-free Translation-cs               
Ign http://dl.google.com stable/non-free Translation-cs                       
Cíl http://archive.ubuntu.com karmic Release.gpg                               
Cíl http://archive.ubuntu.com karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Cíl http://archive.canonical.com karmic Release                               
Mám:3 http://dl.google.com stable Release [1 310B]                             
Cíl http://packages.medibuntu.org karmic Release                               
Cíl http://archive.ubuntu.com karmic/restricted Translation-cs                 
Cíl http://archive.ubuntu.com karmic/universe Translation-cs                   
Cíl http://archive.ubuntu.com karmic/multiverse Translation-cs                 
Cíl http://archive.ubuntu.com karmic-updates Release.gpg                       
Ign http://archive.ubuntu.com karmic-updates/main Translation-cs               
Ign http://archive.ubuntu.com karmic-updates/restricted Translation-cs         
Ign http://archive.ubuntu.com karmic-updates/universe Translation-cs           
Ign http://archive.ubuntu.com karmic-updates/multiverse Translation-cs         
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://archive.ubuntu.com karmic-security Release.gpg                     
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Cíl http://archive.canonical.com karmic/partner Packages                       
Cíl http://packages.medibuntu.org karmic/free Packages                         
Cíl http://repo.palatinus.cz  Release.gpg                                     
Ign http://archive.ubuntu.com karmic-security/main Translation-cs             
Ign http://repo.palatinus.cz  Translation-cs                                   
Ign http://archive.ubuntu.com karmic-security/restricted Translation-cs       
Ign http://archive.ubuntu.com karmic-security/universe Translation-cs         
Ign http://archive.ubuntu.com karmic-security/multiverse Translation-cs       
Ign http://linux.getdropbox.com karmic Release.gpg                             
Ign http://linux.getdropbox.com karmic/main Translation-cs                     
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://archive.canonical.com karmic/partner Sources                       
Cíl http://packages.medibuntu.org karmic/non-free Packages                     
Cíl http://archive.ubuntu.com karmic Release                                   
Cíl http://archive.ubuntu.com karmic-updates Release                           
Mám:4 http://dl.google.com stable/main Packages [624B]                         
Cíl http://archive.ubuntu.com karmic-security Release                         
Cíl http://ppa.launchpad.net karmic Release.gpg                               
Ign http://ppa.launchpad.net karmic/main Translation-cs                       
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://archive.ubuntu.com karmic/main Packages                             
Cíl http://archive.ubuntu.com karmic/restricted Packages                       
Cíl http://repo.palatinus.cz  Release                                         
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://archive.ubuntu.com karmic/main Sources                             
Cíl http://archive.ubuntu.com karmic/restricted Sources                       
Cíl http://archive.ubuntu.com karmic/universe Packages                         
Cíl http://archive.ubuntu.com karmic/universe Sources                         
Ign http://linux.getdropbox.com karmic Release                                 
Cíl http://archive.ubuntu.com karmic/multiverse Packages                       
Cíl http://archive.ubuntu.com karmic/multiverse Sources                       
Cíl http://archive.ubuntu.com karmic-updates/main Packages                     
Cíl http://archive.ubuntu.com karmic-updates/restricted Packages               
Mám:5 http://dl.google.com stable/non-free Packages [966B]                     
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic Release                                   
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Sources                               
Cíl http://archive.ubuntu.com karmic-updates/main Sources                     
Cíl http://archive.ubuntu.com karmic-updates/restricted Sources               
Cíl http://archive.ubuntu.com karmic-updates/universe Packages                 
Cíl http://archive.ubuntu.com karmic-updates/universe Sources                 
Cíl http://archive.ubuntu.com karmic-updates/multiverse Packages               
Cíl http://archive.ubuntu.com karmic-updates/multiverse Sources               
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                       
Cíl http://ppa.launchpad.net karmic/main Packages                       
Cíl http://ppa.launchpad.net karmic/main Packages                       
Ign http://repo.palatinus.cz  Packages                                 
Ign http://linux.getdropbox.com karmic/main Packages                   
Cíl http://archive.ubuntu.com karmic-security/main Packages             
Cíl http://archive.ubuntu.com karmic-security/restricted Packages             
Cíl http://archive.ubuntu.com karmic-security/main Sources                     
Cíl http://archive.ubuntu.com karmic-security/restricted Sources               
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                       
Cíl http://archive.ubuntu.com karmic-security/universe Packages         
Cíl http://archive.ubuntu.com karmic-security/universe Sources                 
Cíl http://archive.ubuntu.com karmic-security/multiverse Packages             
Cíl http://archive.ubuntu.com karmic-security/multiverse Sources               
Cíl http://ppa.launchpad.net karmic/main Packages                             
Cíl http://ppa.launchpad.net karmic/main Packages                       
Ign http://repo.palatinus.cz  Packages           
Ign http://linux.getdropbox.com karmic/main Packages
Cíl http://repo.palatinus.cz  Packages
Cíl http://linux.getdropbox.com karmic/main Packages
Sta\u017eeno 3 091B za 1s (2 258B/s)
\u010ctu seznamy balík\u016f... Hotovo
-----> Downloading source avidemux (1:2.5.1+repack-0ubuntu2) <-----
\u010ctu seznamy balík\u016f... Hotovo
Vytvá\u0159ím strom závislostí       
\u010ctu stavové informace... Hotovo
Pot\u0159ebuji stáhnout 13,0MB zdrojových archiv\u016f.
Mám:1 http://archive.ubuntu.com karmic/multiverse avidemux 1:2.5.1+repack-0ubuntu2 (dsc) [1 493B]
Mám:2 http://archive.ubuntu.com karmic/multiverse avidemux 1:2.5.1+repack-0ubuntu2 (tar) [12,9MB]
Mám:3 http://archive.ubuntu.com karmic/multiverse avidemux 1:2.5.1+repack-0ubuntu2 (diff) [13,5kB]       
Sta\u017eeno 13,0MB za 29s (438kB/s)                                                                           
gpgv: Podpis vytvo\u0159en Út 13. \u0159íjen 2009, 20:05:46 CEST pomocí klí\u010de DSA s ID u\u017eivatele DCFC3FD0
gpgv: Nemohu ov\u011b\u0159it podpis: ve\u0159ejný klí\u010d nenalezen
dpkg-source: warning: failed to verify signature on ./avidemux_2.5.1+repack-0ubuntu2.dsc
dpkg-source: info: extracting avidemux in avidemux-2.5.1+repack
dpkg-source: info: unpacking avidemux_2.5.1+repack.orig.tar.gz
dpkg-source: info: applying avidemux_2.5.1+repack-0ubuntu2.diff.gz
-----> Building avidemux <-----
dpkg-buildpackage: set CFLAGS to default value: -g -O2
dpkg-buildpackage: set CPPFLAGS to default value:
dpkg-buildpackage: set LDFLAGS to default value: -Wl,-Bsymbolic-functions
dpkg-buildpackage: set FFLAGS to default value: -g -O2
dpkg-buildpackage: set CXXFLAGS to default value: -g -O2
dpkg-buildpackage: source package avidemux
dpkg-buildpackage: source version 1:2.5.1+repack-0ubuntu2
dpkg-buildpackage: source changed by root <root@Boban>
dpkg-buildpackage: host architecture amd64
 debian/rules clean
QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null pop -a -R || test $? = 2
No patch removed
rm -rf .pc debian/stamp-patched
dh_testdir
dh_testroot
rm -f build-stamp configure-stamp
rm -rf build plugins/build
rm -rf CMakeFiles
rm -rf avidemux/ADM_libraries/ffmpeg
dh_clean client_state.xml
 debian/rules build
QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null push -a || test $? = 2
Applying patch 01-build_vorbis_decoder.diff
patching file plugins/ADM_audioDecoders/ADM_ad_vorbis/CMakeLists.txt
patching file cmake/admCheckVorbisDec.cmake

Now at patch 01-build_vorbis_decoder.diff
touch debian/stamp-patched
dh_testdir
mkdir -p build/avidemux/ADM_libraries
cp avidemux/ADM_libraries/ffmpeg_r19575.tar.gz build/avidemux/ADM_libraries
cp avidemux/ADM_libraries/libswscale_r29474.tar.gz build/avidemux/ADM_libraries
cd build && cmake .. \
-DCMAKE_INSTALL_PREFIX:PATH=/usr -DCMAKE_SKIP_RPATH:BOOL=YES
#####################################
Configure Started
#####################################

-- Source dir is /var/cache/apt-build/build/avidemux-2.5.1+repack

-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/lib/apt-build/gcc
-- Check for working C compiler: /usr/lib/apt-build/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/lib/apt-build/c++
-- Check for working CXX compiler: /usr/lib/apt-build/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done

-- Checking GCC support
-- ********************
-- Check if GCC is Unix - Yes
-- Check if GCC is x86 64-bit - Yes
-- Check if GCC is MMX2 capable - Yes
-- Check if GCC is SSSE3 capable - Yes
-- Check if the system is big endian
-- Searching 16 bit integer
-- Looking for sys/types.h
-- Looking for sys/types.h - not found
-- Looking for stdint.h
-- Looking for stdint.h - found
-- Looking for stddef.h
-- Looking for stddef.h - not found
-- Check size of unsigned short
-- Check size of unsigned short - done
-- Using unsigned short
-- Check if the system is big endian - little endian

-- Checking for SCM Revision
-- *************************
-- Dont know what SCM is used
--   revision: 0

-- Checking for pkg-config
-- ***********************
-- Found pkg-config

-- Checking for Libxml2
-- ********************
-- checking for module 'libxml-2.0'
--   found libxml-2.0, version 2.7.5
-- Found Libxml2

-- Checking for pthreads
-- *********************
-- Found pthreads

-- Checking for zlib
-- *****************
-- Found ZLIB: /usr/lib/libz.so
-- Found zlib

-- Checking for GTK+
-- *****************
-- checking for module 'gtk+-2.0'
--   found gtk+-2.0, version 2.18.3
-- Found GTK+
-- GTK+ doesn't use X11

-- Checking for GThread
-- ********************
-- checking for module 'gthread-2.0'
--   found gthread-2.0, version 2.22.2
-- Found GThread

-- Checking for Qt 4
-- *****************
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - not found.
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.5.2
-- Found Qt 4

-- Checking for gettext
-- ********************
-- Found libintl.h
-- Cound not find intl library
Could not find Gettext
CMake Error: The following variables are used in this project, but they are set to NOTFOUND.
Please set them or make sure they are set and tested correctly in the CMake files:
GETTEXT_LIBRARY_DIR
    linked by target "cmTryCompileExec" in directory /var/cache/apt-build/build/avidemux-2.5.1+repack/build/CMakeFiles/CMakeTmp

CMake Error: Internal CMake error, TryCompile configure of cmake failed
gettext support failed with or without libintl

-- Checking for SDL
-- ****************
-- Found SDL

-- Checking for XVideo
-- *******************
-- Found X11/extensions/Xvlib.h
-- Found Xv library
-- Found XvShmPutImage in /usr/lib/libXv.so
-- Found XVideo

-- Checking for SpiderMonkey
-- *************************
Skipping check and using bundled version.

-- Checking system headers
-- ***********************
-- Looking for gettimeofday
-- Looking for gettimeofday - found
-- Looking for include files HAVE_INTTYPES_H
-- Looking for include files HAVE_INTTYPES_H - found
-- Looking for include files HAVE_MALLOC_H
-- Looking for include files HAVE_MALLOC_H - not found.

-- ADM_coreConfig.h generated
-- CLI config.h generated
-- GTK config.h generated
-- Qt4 config.h generated

-- Checking for tar
-- ****************
-- Found tar


-- Checking for patch
-- ******************
-- Found patch

patching file libavformat/flvenc.c
patching file libavcodec/avcodec.h
patching file libavcodec/utils.c
patching file libavcodec/ffv1.c
patching file libavutil/mem.c
patching file libavcodec/h264.c
patching file libavformat/movenc.c
patching file libavformat/matroskaenc.c
patching file libavcodec/h263dec.c
patching file libavformat/isom.c
patching file libavutil/internal.h
patching file libavcodec/mpegvideo.c
patching file libavutil/avutil.h
patching file libavcodec/mpegvideo_enc.c
patching file libavcodec/mpeg12.c
patching file libavcodec/mpeg12enc.c
patching file libavformat/file.c
patching file common.mak
Hunk #1 succeeded at 64 (offset 2 lines).

-- Configuring FFmpeg
patching file config.mak
Hunk #1 succeeded at 66 with fuzz 2 (offset 6 lines).

*********************
***    SUMMARY    ***
*********************
   GTK+        Yes
   Qt 4        Yes
*** Miscellaneous ***
   gettext     No
   SDL         Yes
   XVideo      Yes
*********************
*** Release Build ***
*********************

-- Configuring incomplete, errors occurred!
make: *** [configure-stamp] Error 1
dpkg-buildpackage: error: debian/rules build gave error exit status 2
----> Cleaning up object files <-----
Cleaning in directory .
QUILT_PATCHES=debian/patches quilt --quiltrc /dev/null pop -a -R || test $? = 2
Removing patch 01-build_vorbis_decoder.diff
Removing cmake/admCheckVorbisDec.cmake
Restoring plugins/ADM_audioDecoders/ADM_ad_vorbis/CMakeLists.txt

No patches applied
rm -rf .pc debian/stamp-patched
dh_testdir
dh_testroot
rm -f build-stamp configure-stamp
rm -rf build plugins/build
rm -rf CMakeFiles
rm -rf avidemux/ADM_libraries/ffmpeg
dh_clean client_state.xml
Error while building avidemux!
Sorry, no package to install.

postupoval jsem podle návodu do typ architektury jsem dal core2 i když mám quada ale v seznamu a dále na postnuté stránce s typy CPU quad nebyl ale  usoudil jsem, že core2 je vhodny i pro můj Q6600 intel.

Pokud by někoho napadlo proč to nejde byl bych vděčen tento nástroj se mi líbí.
I to se může stát, možná bude chyba ve zdrojákách, párkrát se mi tohle taky stalo, ale ne s Nautilem. GNOME Commander ani AVIDemux jsem nezkoušel.

Pokud tam čtyřjádro nemáš, budeš muset asi napsat vývojářům apt-buildu.

"Pokud zde vaše architektura není, vyberte nějakou a upravte konfigurační soubor (/etc/apt/apt-build.conf) ručně. Poté nám prosím zašlete hlášení o chybě se závažností wishlist."

Roman Vacho

  • Člen placené komunitní podpory
  • Moderátor
  • Guru
  • *****
  • Příspěvků: 5588
  • Karma: +218/-47
  • Jeden vykope studnu, tisíce z ní pijí tisíc let.
    • Zobrazit profil
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #67 kdy: 12 Listopad 2009, 13:06:38 »
Ad rychlejší spouštení Gimpu... není to už přednačtené v ram?
Nezkompilovaný se mi poprvé spouštěl asi 10-12 vteřin. Potom už byl jeho věci v ram, tak se spustil znovu za 2 s. Zkusím ho zkompilovat.

Ne, to ne.

Kedrigern:
To jsi zkompiloval jen samotnej Totem, nebo i jeho backend(y), tzn. GStreamer / Xine?

Zadal jsem apt-build install --reinstall totem - nic víc.


Jinak právě jsem dokompiloval Firefox a jsou tu dva problémy:
1) Firefoxe z repů to nevyhodí (mám teď dva) - stejně jako když jedete experimentální větev z Ubuntu Tweak
2) Sice mi to nakonci napsalo:
Kód: [Vybrat]
Připravuji nahrazení firefox 3.5.4+nobinonly-0ubuntu0.9.10.1 (pomocí .../firefox_3.5.5+nobinonly-0ubuntu0.9.10.1_all.deb) ...
Rozbaluji náhradu firefox ...
Nastavuji balík firefox (3.5.5+nobinonly-0ubuntu0.9.10.1) ...

Nicméně pokud zapnu firefox-3.5, tak je to 3.5.4 a ne 3.5.5 :(.


Třeba přepsat v Preferovaných aplikacích např na firefox-3.6 %s (číslo verze dle tebe, zkoušel jsi zapsat 3.5.5?).

Mám problém. Momentálně mám repo jen skrze apt-build. Po vykonání dvou čistících příkazů(clean-builds, clean-sources), mi to stále nabízí balíky k aktualizaci. V manu jem nic nezjistil. Ano můžu je smazat ručně, ale neměl by to mazat jeden z těch příkazů? Možná mám narušenou integritu...(dpkg jsem již byl nucen užít) Ty balíky jinak musím smazat, protože včera mi došlo místo na disku a teď mi Update manager hlásí, že Tremulous aktualizace má jen 800kB. To je dle mě nesmysl. Dále vůbec nechápu, proč by to chtělo po upgrade příkazu aktualizovat Tremulous. Ten už je bůhví jak dlouho stejná verze. Jsem z toho volajaký zmetený bo Im total Greenhorn. Du radši udělat smetanový brambory a pořádný flákoty masa. Třeba se mi pak rozsvítí.

PS: A aby toho nebylo málo... smazal jsem ručně balíky rm /var/cache/apt-build/repository/*.deb, dal apt-build update, ale stále mi to nabízí balíky k aktualizaci i po apt-get update. ???

To je tak, když člověk dělá věci po ánu bez kafe. Pomohlo rm /var/cache/apt-build/repository/Packages.gz.
Ale teď:
elhalo stažení file:/var/cache/apt-build/repository/dists/apt-build/main/binary-amd64/Packages.gz  Soubor nebyl nalezen
Některé indexové soubory se nepodařilo stáhnout, jsou ignorovány, nebo jsou použity starší verze. Jak jej rebuildovat? Update nepomohl.
« Poslední změna: 12 Listopad 2009, 13:57:33 od Rovano »
Vyřešená vlákna je vhodné uzavřít dodáním znaků "[vyřešeno]" do názvu téma v editaci prvního příspěvku.

NoWin

  • Host
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #68 kdy: 13 Listopad 2009, 13:11:35 »
Ták! Pro zkoušku jsem si zkompiloval PulseAudio, PAMan, PADevChooser apod. a příslušný knihovny.
Výsledek: Zvuk už funguje pěkně (při pokusu vyloudit nějakej zvuk se začaly na 100% zatěžovat obě jádra CPU, pak bylo slyšet praskání a pak mrtvolný ticho, po čemž pak PA nenalezne do restartu PC zvukovku), teď se zdá, že to je v pohodě.
Ale když spustím "Volume control", dopadne to skoro jak předtím při pokusu cokoliv přehrát, ale s tím rozdílem, že zvuk nechcípne.

Alespoň nějaký zlepšení, ale stejně posílám PA do /dev/null, nic extra, co by mi bylo jakkoli k užitku, mi krom problémů oproti starý dobrý ALSe nic nenabízí.

Testovanej HW: viz. můj podpis

Meharts

  • Návštěvník
  • *
  • Příspěvků: 52
  • Karma: +7/-0
    • Zobrazit profil
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #69 kdy: 13 Listopad 2009, 13:31:29 »
Takže už mi funguje naprosto všechno
Zjistil jsem, že problém byl v nastavení architektury na gentoo FAQ jsem se dočetl, že pro procesory novější a gcc verzi 4.3 a vyšší je možné !! použít core2 namísto nocona což v mém případě by sice mělo fungovat, ale nefunguje mám gcc verzi 4.4.1 , ale pokud navolím typ nocona tak vše funguje jak má. Z toho usuzuji, že pokud máte problémy s kompilacemi tak v http://gcc.gnu.org/onlinedocs/gcc-4.4.2/gcc/i386-and-x86_002d64-Options.html#i386-and-x86_002d64-Options najděte podobné CPU (hlavní jsou instrukce MMX, SSE and SSE2 atd.) a do
Kód: [Vybrat]
/etc/apt/apt-build.conf si zvolte to podobné. A pokud vám to vychází na variantu
Citace
core2
Intel Core2 CPU with 64-bit extensions, MMX, SSE, SSE2, SSE3 and SSSE3 instruction set support
a nefunguje to jak má tak změnte z core2 na nocona.

Není důležité všechno vědět, ale je důležité vědět kde to všechno najdu

Roman Vacho

  • Člen placené komunitní podpory
  • Moderátor
  • Guru
  • *****
  • Příspěvků: 5588
  • Karma: +218/-47
  • Jeden vykope studnu, tisíce z ní pijí tisíc let.
    • Zobrazit profil
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #70 kdy: 13 Listopad 2009, 13:44:02 »
Pulseaudio ok. Ovladače grafiky se mi zatím nezdařilo zkompilovat. Patrně to nemá potřebné zdrojáky.
Vyřešená vlákna je vhodné uzavřít dodáním znaků "[vyřešeno]" do názvu téma v editaci prvního příspěvku.

NoWin

  • Host
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #71 kdy: 13 Listopad 2009, 18:30:45 »
Pulseaudio ok. Ovladače grafiky se mi zatím nezdařilo zkompilovat. Patrně to nemá potřebné zdrojáky.
Počkej, jakej ovladač? Proprietární nezkompiluješ, na to neseženeš zdrojáky! A svobodnej bych radši kompiloval tradičním způsobem.

Janik

  • Člen
  • **
  • Příspěvků: 450
  • Karma: +21/-9
  • skill: Jů, schválně, co to udělá....
    • Zobrazit profil
    • Jan Tománek na iDnes.cz
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #72 kdy: 13 Listopad 2009, 20:08:46 »
aha dik blender skusim zo zdrojakou z netu. Inak Sun java ide tiez skompilovat  ;D . Inak neda sa nejak skompilovat cele ubuntu?

 ;D

Tak jo idem to zkusit na něčem nepotřebném. Tak točíme, točíme... ááá Totem!  ;D

Tak už to konfiguruje zatížení zatím len 50% :( To je nudá!

Zkusím u teho hrát Trem.
Mně to zatěžuje jen jedno jádro, na CPU mám kolem 60°C. Já chci topit víc, ať můžu vypnout kokotel ;D

Dobrej návod, ale vzhledem k tomu, že z mého C2D 2 GHz využiju leda tak 800 MHz každý jádro a naprosto mi to stačí, se k většímu výkonu nijak neženu... (tedy i vzhledem k tomu, že si kompilování užiju na Archu) btw, než jsem si koupil notebook, tak jsem si myslel, že díky němu ušetřím na topení :-) a on má, potvora, větrák do okna .-)
Díky za Linux. EDIT: díky za GNU/Linux, fóra a zkušenější linuxáky.

Roman Vacho

  • Člen placené komunitní podpory
  • Moderátor
  • Guru
  • *****
  • Příspěvků: 5588
  • Karma: +218/-47
  • Jeden vykope studnu, tisíce z ní pijí tisíc let.
    • Zobrazit profil
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #73 kdy: 16 Listopad 2009, 09:55:48 »
Pulseaudio ok. Ovladače grafiky se mi zatím nezdařilo zkompilovat. Patrně to nemá potřebné zdrojáky.
Počkej, jakej ovladač? Proprietární nezkompiluješ, na to neseženeš zdrojáky! A svobodnej bych radši kompiloval tradičním způsobem.

Svobodnej :)
Vyřešená vlákna je vhodné uzavřít dodáním znaků "[vyřešeno]" do názvu téma v editaci prvního příspěvku.

LuciusMare

  • Závislák
  • ****
  • Příspěvků: 1752
  • Karma: +118/-45
    • Zobrazit profil
Re: apt-get? Zapomeňte!... aneb How to Gentooize Debian-like Systems for n00bs
« Odpověď #74 kdy: 16 Listopad 2009, 14:26:46 »
Pulseaudio ok. Ovladače grafiky se mi zatím nezdařilo zkompilovat. Patrně to nemá potřebné zdrojáky.
.. Proprietární nezkompiluješ, na to neseženeš zdrojáky! ...
Vážně? ;D
Citace
<Firzen> tak teď budu Číňan
<Firzen> tak uvidíme :D
Jabber: LuciusMare (zkroucenina) jabbim (tecka) cz